File: changelog

package info (click to toggle)
tyxml 4.4.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 928 kB
  • sloc: ml: 9,468; makefile: 98; javascript: 3
file content (142 lines) | stat: -rw-r--r-- 3,952 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
tyxml (4.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Aug 2020 09:36:19 +0200

tyxml (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jan 2020 11:25:54 +0100

tyxml (4.1.0-1) unstable; urgency=medium

  * Team upload

  [ Stéphane Glondu ]
  * New upstream release
  * Update debian/watch
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8
  * Bump debhelper compat to 9
  * This version requires uutf >= 1.0.1-2~

  [ Mehdi Dogguy ]
  * This version requires re as a Build-Dependency
  * Add libppx-tools-ocaml-dev to build dependencies
  * Patch various files to remove uchar as a dependency
  * Disable building ppx files since markup is not packaged yet
  * Disable Markup temporarily using a patch
  * Fix docdir given to configure script
  * Update .install files
  * List missing files but not fail, in d/rules
  * Add ocamlbuild as a build dependency

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 21 May 2018 17:37:32 +0200

tyxml (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on camlp4 instead of camlp4-extrac
  * Add libuutf-ocaml-dev to Build-Depends
  * Adapt d/rules to upstream's new build system
  * Do not install .ml files, .mli are provided
  * Install tyxml_tools.cm{a,xs} in libtyxml-ocaml
  * Install *.cmt{,i} and *.annot in libtyxml-ocaml-dev

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 18 Oct 2015 11:30:32 +0200

tyxml (3.0.0-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Drop versioned dependency for camlp4-extra

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 17 Oct 2015 21:36:54 +0200

tyxml (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Fri, 30 May 2014 17:58:57 +0200

tyxml (2.2.0-4) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Dec 2013 23:33:41 +0100

tyxml (2.2.0-3) experimental; urgency=low

  * Fix compilation with ocamlnet >= 3.6.5 (netstring-pcre)
  * Disable ocamlduce support
  * Compile with OCaml >= 4.01

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Nov 2013 02:13:22 +0100

tyxml (2.2.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 23:16:00 +0200

tyxml (2.2.0-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Dec 2012 20:27:37 +0100

tyxml (2.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Jun 2012 07:45:24 +0200

tyxml (2.0.2-1) unstable; urgency=low

  * New upstream release
    - remove patch (merged upstream)
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Feb 2012 10:14:33 +0100

tyxml (2.0.1c-1) unstable; urgency=low

  * New upstream release
    - add Fix-typo-causing-FTBFS-with-ocamlduce.patch
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Dec 2011 13:33:01 +0100

tyxml (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 22 Nov 2011 07:08:13 +0100

tyxml (2.0-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 22 Sep 2011 21:11:08 +0200

tyxml (2.0~rc1-1) unstable; urgency=low

  * New upstream release
  * Create new runtime binary package libtyxml-ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 13 Aug 2011 18:50:07 +0200

tyxml (1.91-1) unstable; urgency=low

  * Initial release (Closes: #633953)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Jul 2011 14:34:52 +0200